Rapid7 Vulnerability & Exploit Database

SUSE Linux Security Vulnerability: CVE-2009-2911

Back to Search

SUSE Linux Security Vulnerability: CVE-2009-2911

Severity
2
CVSS
(AV:L/AC:M/Au:N/C:N/I:N/A:P)
Published
10/22/2009
Created
07/25/2018
Added
12/12/2013
Modified
07/04/2017

Description

SystemTap 1.0, when the --unprivileged option is used, does not properly restrict certain data sizes, which allows local users to (1) cause a denial of service or gain privileges via a print operation with a large number of arguments that trigger a kernel stack overflow, (2) cause a denial of service via crafted DWARF expressions that trigger a kernel stack frame overflow, or (3) cause a denial of service (infinite loop) via vectors that trigger creation of large unwind tables, related to Common Information Entry (CIE) and Call Frame Instruction (CFI) records.

Solution(s)

  • suse-upgrade-systemtap
  • suse-upgrade-systemtap-client
  • suse-upgrade-systemtap-runtime
  • suse-upgrade-systemtap-sdt-devel
  • suse-upgrade-systemtap-server

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;